var scriptName = "Best Infinite reach"; 
var scriptVersion = 1.0; 
var scriptAuthor = "soulplexis";

var exampleModule = new ExampleModule();
var exampleModuleClient;

var HighJump = moduleManager.getModule("HighJump");
var TeleportHit = moduleManager.getModule("TeleportHit");
var Aimbot = moduleManager.getModule("Aimbot");

function ExampleModule() {
    this.getName = function() {
        return "InfiniteReach";
    };

    this.getDescription = function() {
        return "For people too lazy to turn on all the shit for infinte reach";
    };

    this.getCategory = function() {
        return "Combat";
    };
    this.onEnable = function() {
		commandManager.executeCommand(".aimbot range 9999");
		commandManager.executeCommand(".highjump height 0.1");
		commandManager.executeCommand(".highjump mode vanilla");
		chat.print("§7§l[§e§lSoulplexis§l§7] §cInfinite reach :3");
    }

    this.onUpdate = function() {
		HighJump.setState(true);
		TeleportHit.setState(true);
		Aimbot.setState(true);
		
    }
    this.onDisable = function() {
		HighJump.setState(false);
		Aimbot.setState(false);
		TeleportHit.setState(false);
		commandManager.executeCommand(".highjump height 2.0");
		commandManager.executeCommand(".aimbot range 4.5");
		mc.timer.timerSpeed = 1.0;
    }
}

function onLoad() {
};

function onEnable() {
    exampleModuleClient = moduleManager.registerModule(exampleModule);
};

function onDisable() {
    moduleManager.unregisterModule(exampleModuleClient);
};